%define upstream_name    Excel-Writer-XLSX
%define upstream_version 1.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Light weight re-implementation of XML::Writer
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The 'Excel::Writer::XLSX' module can be used to create an Excel file in the
2007+ XLSX format.

The XLSX format is the Office Open XML (OOXML) format used by Excel 2007
and later.

Multiple worksheets can be added to a workbook and formatting can be
applied to cells. Text, numbers, and formulas can be written to the cells.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man?/*
%{perl_vendorlib}/*

%changelog
* Mon Aug 10 2020 tv <tv> 1.70.0-1.mga8
+ Revision: 1612556
- update to 1.07

* Sat Aug 01 2020 tv <tv> 1.50.0-1.mga8
+ Revision: 1610103
- update to 1.05

* Mon Jun 01 2020 tv <tv> 1.40.0-1.mga8
+ Revision: 1589394
- update to 1.04

* Tue Feb 18 2020 umeabot <umeabot> 1.30.0-2.mga8
+ Revision: 1541480
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 tv <tv> 1.30.0-1.mga8
+ Revision: 1474503
- update to 1.03

* Fri Nov 08 2019 tv <tv> 1.20.0-1.mga8
+ Revision: 1458860
- update to 1.02

* Tue Oct 29 2019 tv <tv> 1.10.0-1.mga8
+ Revision: 1456572
- update to 1.01

* Mon Apr 08 2019 tv <tv> 1.0.0-1.mga7
+ Revision: 1386761
- update to 1.00

* Thu Feb 14 2019 tv <tv> 0.990.0-1.mga7
+ Revision: 1366971
- update to 0.99

* Thu Sep 20 2018 umeabot <umeabot> 0.980.0-2.mga7
+ Revision: 1283633
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.980.0-1.mga7
+ Revision: 1221559
- update to 0.98

* Mon Oct 02 2017 tv <tv> 0.960.0-2.mga7
+ Revision: 1164304
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.960.0-1.mga7
+ Revision: 1159622
- update to 0.96

* Fri Jul 28 2017 sander85 <sander85> 0.950.0-1.mga7
+ Revision: 1132161
- update to 0.95

* Sun Jun 19 2016 pterjan <pterjan> 0.890.0-2.mga6
+ Revision: 1027020
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.890.0-1.mga6
+ Revision: 1007815
- update to 0.89

* Fri Apr 15 2016 shlomif <shlomif> 0.880.0-1.mga6
+ Revision: 1001909
- update to 0.88

* Fri Feb 19 2016 umeabot <umeabot> 0.850.0-2.mga6
+ Revision: 969088
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 0.850.0-1.mga6
+ Revision: 861343
- update to 0.85

* Sat Jul 04 2015 sander85 <sander85> 0.840.0-1.mga6
+ Revision: 850091
- update to 0.84

* Sun Oct 19 2014 umeabot <umeabot> 0.770.0-5.mga5
+ Revision: 789511
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-4.mga5
+ Revision: 741431
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.770.0-3.mga5
+ Revision: 732102
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 684661
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.770.0-1.mga5
+ Revision: 620712
- update to 0.77

* Sun Feb 09 2014 sander85 <sander85> 0.760.0-1.mga5
+ Revision: 587267
- update to 0.76

* Sat Oct 19 2013 umeabot <umeabot> 0.720.0-2.mga4
+ Revision: 533437
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.720.0-1.mga4
+ Revision: 473024
- update to 0.72

* Sun Aug 25 2013 sander85 <sander85> 0.710.0-1.mga4
+ Revision: 471582
- update to 0.71

* Wed Jun 26 2013 jquelin <jquelin> 0.690.0-1.mga4
+ Revision: 447053
- update to 0.69

* Tue Jun 11 2013 jquelin <jquelin> 0.680.0-1.mga4
+ Revision: 441905
- update to 0.68

* Sun Jan 13 2013 umeabot <umeabot> 0.550.0-2.mga3
+ Revision: 366981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.550.0-1.mga3
+ Revision: 317748
- update to 0.55

* Wed Nov 07 2012 jquelin <jquelin> 0.540.0-1.mga3
+ Revision: 315851
- update to 0.54

* Mon Oct 15 2012 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 306136
- update to 0.53

* Mon Sep 17 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 295110
- update to 0.51

* Thu Jul 12 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 270313
- update to 0.49

* Wed Jul 04 2012 jquelin <jquelin> 0.480.0-1.mga3
+ Revision: 267391
- update to 0.48

* Tue Jun 05 2012 jquelin <jquelin> 0.470.0-1.mga3
+ Revision: 254975
- update to 0.47

* Tue Mar 06 2012 jquelin <jquelin> 0.460.0-1.mga2
+ Revision: 219964
- update to 0.46

* Wed Jan 25 2012 jquelin <jquelin> 0.450.0-1.mga2
+ Revision: 200918
- update to 0.45

* Thu Jan 05 2012 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 191271
- update to 0.44
- update to 0.43

* Sun Dec 18 2011 kharec <kharec> 0.420.0-1.mga2
+ Revision: 183438
- update to 0.42

* Sat Dec 10 2011 kharec <kharec> 0.410.0-1.mga2
+ Revision: 180347
- update to 0.41

* Fri Dec 09 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 179441
- update to 0.40

* Sun Dec 04 2011 kharec <kharec> 0.390.0-1.mga2
+ Revision: 175756
- update to 0.39

* Fri Nov 18 2011 jquelin <jquelin> 0.340.0-1.mga2
+ Revision: 168746
- update to 0.34
- update to 0.34

* Thu Oct 20 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 156823
- imported package perl-Excel-Writer-XLSX

